#include "TagByte.h"

#include <QtCore/QDataStream>

TagByte::TagByte(const qint8 value) : AbstractNamedTag(ID), m_value(value) {}

void TagByte::readPayloadFromData(QDataStream &data) {
    data >> m_value;
}
void TagByte::writePayloadToData(QDataStream &data) const {
    data << m_value;
}
